PHP-инклюдинг в microSSys CMS

Дата публикации:
20.05.2008
Всего просмотров:
981
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
microSSys CMS 1.x
Уязвимые версии: microSSys CMS 1.5, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "PAGES[]" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/index.php?1=lol&PAGES[lol]=[file]

URL производителя: wajox.com/index.php?1=page&id=1

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA